regina::PluggedTorusBundle Class Reference
Standard Triangulations and Subcomplexes

Describes a triangulation of a graph manifold formed by joining a bounded saturated region with a thin I-bundle over the torus, possibly with layerings in between. More...

`#include <subcomplex/pluggedtorusbundle.h>`

Inheritance diagram for regina::PluggedTorusBundle:

## Public Member Functions

| ~PluggedTorusBundle ()
| Destroys this structure and its constituent components. More...
const TxICore & | bundle () const
| Returns an isomorphic copy of the thin I-bundle that forms part of this triangulation. More...
const Isomorphism< 3 > & | bundleIso () const
| Returns an isomorphism describing how the thin I-bundle forms a subcomplex of this triangulation. More...
const SatRegion & | region () const
| Returns the saturated region that forms part of this triangulation. More...
const Matrix2 & | matchingReln () const
| Returns the matrix describing how the two torus boundaries of the saturated region are joined by the thin I-bundle and layerings. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
virtual AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static PluggedTorusBundle * | isPluggedTorusBundle (Triangulation< 3 > *tri)
| Determines if the given triangulation is a saturated region joined to a thin I-bundle via optional layerings, as described in the class notes above. More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Detailed Description

Describes a triangulation of a graph manifold formed by joining a bounded saturated region with a thin I-bundle over the torus, possibly with layerings in between.

The thin I-bundle must be untwisted, so that it forms the product `T x I` with two boundary tori. Moreover, it must be isomorphic to some existing instance of the class TxICore.

The saturated region is described by an object of the class SatRegion. This region must have precisely two boundary annuli. These may be two separate torus boundaries (each formed from its own saturated annulus). Alternatively, the saturated region may have a single boundary formed from both saturated annuli, where this boundary is pinched together so that each annulus becomes its own two-sided torus.

Either way, the saturated region effectively has two torus boundaries, each formed from two triangles of the triangulation. These boundaries are then joined to the two torus boundaries of the thin I-bundle, possibly with layerings in between (for more detail on layerings, see the Layering class). This is illustrated in the following diagram, where the small tunnels show where the torus boundaries are joined (possibly via layerings).

       /--------------------\     /-----------------\
       |                     -----                  |
       |                     -----                  |
       |  Saturated region  |     |  Thin I-bundle  |
       |                     -----                  |
       |                     -----                  |
       --------------------/     -----------------/

The effect of the thin I-bundle and the two layerings is essentially to join the two boundaries of the saturated region according to some non-trivial homeomorphism of the torus. This homeomorphism is specified by a 2-by-2 matrix M as follows.

Suppose that f0 and o0 are directed curves on the first boundary torus and f1 and o1 are directed curves on the second boundary torus, where f0 and f1 represent the fibres of the saturated region and o0 and o1 represent the base orbifold (see the page on Notation for Seifert fibred spaces for terminology). Then the torus boundaries of the saturated region are identified by the thin I-bundle and layerings according to the following relation:

        [f1]       [f0]
        [  ] = M * [  ]
        [o1]       [o0]

Note that the routines writeName() and writeTeXName() do not offer enough information to uniquely identify the triangulation, since this essentially requires 2-dimensional assemblings of saturated blocks. For more detail, writeTextLong() may be used instead.

The optional StandardTriangulation routine manifold() is implemented for this class, but homology() is not.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/pluggedtorusbundle.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).